Get place details
curl --request GET \
--url https://scrapebadger.com/v1/google/maps/place \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/maps/place"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/maps/place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"place": {
"title": "<string>",
"place_id": "<string>",
"data_id": "<string>",
"data_cid": "<string>",
"rank": 123,
"rating": 123,
"reviews_count": 123,
"price_level": "<string>",
"type": "<string>",
"types": [
"<string>"
],
"type_ids": [
"<string>"
],
"extensions": {},
"address": "<string>",
"phone": "<string>",
"website": "<string>",
"gps_coordinates": {
"lat": 123,
"lng": 123
},
"open_state": "<string>",
"hours": "<string>",
"operating_hours": {},
"description": "<string>",
"thumbnail": "<string>",
"image": "<string>",
"google_maps_url": "<string>",
"reviews_link": "<string>",
"photos_link": "<string>",
"posts_link": "<string>",
"service_options": {
"dine_in": true,
"takeout": true,
"delivery": true,
"curbside_pickup": true
},
"provider_id": "<string>",
"rating_breakdown": {},
"order_online_urls": [
"<string>"
],
"photos": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Maps
Get place details
Get place details
GET
/
v1
/
google
/
maps
/
place
Get place details
Authorizations
Query Parameters
Google place ID (ChIJ...)
Google Maps data ID (0x...:0x...)
Language code
Country code
Response
Successful Response
Response for GET /api/v1/maps/place.
Detailed place information.
Show child attributes
Show child attributes
⌘I

